Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans
Interface XmlDuration

All Superinterfaces:
  XmlAnySimpleType, XmlObject, XmlTokenSource

public interface XmlDuration
extends XmlAnySimpleType

Corresponds to the XML Schema xs:duration type.

Convertible to a `GDuration`.

See Also:
  `GDuration`

Nested Class Summary
`static class` | `XmlDuration.Factory` A class with methods for creating instances of `XmlDuration`.

Field Summary
`static SchemaType` | `type` The constant `SchemaType` object representing this schema type.

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`GDuration` | `gDurationValue()` Deprecated. replaced with `getGDurationValue()`
`GDuration` | `getGDurationValue()` Returns this value as a `GDuration`
`void` | `set(GDurationSpecification gd)` Deprecated. replaced with `setGDurationValue(org.apache.xmlbeans.GDuration)`
`void` | `setGDurationValue(GDuration gd)` Sets this value as a `GDuration`

Methods inherited from interface org.apache.xmlbeans.XmlAnySimpleType
`getStringValue, set, setStringValue, stringValue`

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    public static final SchemaType type

  The constant `SchemaType` object representing this schema type.

Method Detail

### getGDurationValue

    public GDuration getGDurationValue()

  Returns this value as a `GDuration`

### setGDurationValue

    public void setGDurationValue(GDuration gd)

  Sets this value as a `GDuration`

### gDurationValue

    public GDuration gDurationValue()

  Deprecated. replaced with `getGDurationValue()`

  Returns this value as a `GDuration`

### set

    public void set(GDurationSpecification gd)

  Deprecated. replaced with `setGDurationValue(org.apache.xmlbeans.GDuration)`

  Sets this value as a `GDuration`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD